import request from '@/utils/request'

export function listBreakage(query) {
  return request({
    url: '/warehouse-breakage/page',
    method: 'get',
    params: query
  })
}

export function executeBreakage(query) {
  return request({
    url: '/warehouse-breakage/execute',
    method: 'post',
    params: query
  })
}

export function createBreakage(data) {
  return request({
    url: '/warehouse-breakage/add',
    method: 'post',
    data
  })
}

export function readBreakage(query) {
  return request({
    url: '/warehouse-breakage/info',
    method: 'get',
    params: query
  })
}

export function updateBreakage(data) {
  return request({
    url: '/warehouse-breakage/edit',
    method: 'post',
    data
  })
}

export function deleteBreakage(query) {
  return request({
    url: '/warehouse-breakage/remove',
    method: 'post',
    params: query
  })
}

export function cancelBreakage(query) {
  return request({
    url: '/warehouse-breakage/cancel',
    method: 'post',
    params: query
  })
}
